Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
download:versions [2019/02/12 22:38]
benmuell [Table] prepare for 3.3
download:versions [2019/04/15 13:44] (current)
benmuell [Table]
Line 2: Line 2:
 ===Linux=== ===Linux===
 **[[install:​install|Installation details]] for Linux, FreeBSD, Solaris, or other UNIX systems.** **[[install:​install|Installation details]] for Linux, FreeBSD, Solaris, or other UNIX systems.**
-^                      |^                                                      ^  3.2r4                                                 ​^ ​ 3.1                                                 ​^ ​ 3.0r2                                                 ​^ ​ 2.14r1 ​                                                ​^ ​ 2.13                                           ^ +^                      |^  ​3.4 ​                                                ​^ ​ 3.3                                                 ^  3.2r4                                                 ​^ ​ 3.1                                                 ​^ ​ 3.0r2                                                 ​^ ​ 2.14r1 ​                                                ​^ ​ 2.13                                           ^ 
-^  Source ​             ||  {{:​download:​polymake-3.3.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-3.2r4.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-3.1.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-3.0r2.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-2.14r1.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-2.13-1.tar.bz2|tar.bz2}} ​ | +^  Source ​             ||  {{:​download:​polymake-3.4.tar.bz2|tar.bz2}} ​         ​|  {{:​download:​polymake-3.3.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-3.2r4.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-3.1.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-3.0r2.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-2.14r1.tar.bz2|tar.bz2}} ​         |  {{:​download:​polymake-2.13-1.tar.bz2|tar.bz2}} ​ | 
-^  minimal version ​    ​|| ​ {{:​download:​polymake-3.3-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-3.2r4-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-3.1-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-3.0r2-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-2.14r1-minimal.tar.bz2|tar.bz2}} ​ |  n/a                                            | +^  minimal version ​    ||  {{:​download:​polymake-3.4-minimal.tar.bz2|tar.bz2}}  ​|  {{:​download:​polymake-3.3-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-3.2r4-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-3.1-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-3.0r2-minimal.tar.bz2|tar.bz2}} ​ |  {{:​download:​polymake-2.14r1-minimal.tar.bz2|tar.bz2}} ​ |  n/a                                            | 
-^  Release notes       ​|| ​ [[news:​release_3_3|Features in 3.3]]                |  [[news:​release_3_2|Features in 3.2]]                  |  [[news:​release_3_1|Features in 3.1]]                |  [[news:​release_3_0|Features in 3.0r2]] ​               |  [[news:​release_2_14|Features in 2.14]] ​                ​| ​ [[news:​release_2_13|Features in 2.13]] ​        | +^  Release notes       ||  [[news:​release_3_4|Features in 3.4]]                ​|  [[news:​release_3_3|Features in 3.3]]                |  [[news:​release_3_2|Features in 3.2]]                  |  [[news:​release_3_1|Features in 3.1]]                |  [[news:​release_3_0|Features in 3.0r2]] ​               |  [[news:​release_2_14|Features in 2.14]] ​                ​| ​ [[news:​release_2_13|Features in 2.13]] ​        | 
-^  Documentation ​      ​|| ​ [[reldocs>​3.3|Doc 3.3]]                             ​| ​ [[reldocs>​3.2|Doc 3.2]]                               ​| ​ [[reldocs>​3.1|Doc 3.1]]                             ​| ​ [[reldocs>​3.0|Doc 3.0]]                               ​| ​ [[reldocs>​2.14|Doc 2.14]] ​                             |  [[reldocs>​2.13|Doc 2.13]] ​                     |+^  Documentation ​      ||  [[reldocs>​3.4|Doc 3.4]]                             |  [[reldocs>​3.3|Doc 3.3]]                             ​| ​ [[reldocs>​3.2|Doc 3.2]]                               ​| ​ [[reldocs>​3.1|Doc 3.1]]                             ​| ​ [[reldocs>​3.0|Doc 3.0]]                               ​| ​ [[reldocs>​2.14|Doc 2.14]] ​                             |  [[reldocs>​2.13|Doc 2.13]] ​                     |
  
 === MacOS === === MacOS ===
 **[[install:​mac|Installation details]] for Mac OS (both binary and source installations need additional packages!)** **[[install:​mac|Installation details]] for Mac OS (both binary and source installations need additional packages!)**
  
-^          ^         ​^ ​ 3.3   ​^ ​ 3.2                                                                                                                                                                                                             ​^ ​ 3.1                                                                                                                                                                                                               ​^ ​ 3.0                                                                                                                                                                                                                                               ​^ ​ 2.14r1 ​                                                                                                                                                                                                                                                         ^  2.13                                                                                                                                                                                                   ^ +^          ^         ^  3.4   ^  3.3   ​^ ​ 3.2                                                                                                                                                                                                             ​^ ​ 3.1                                                                                                                                                                                                               ​^ ​ 3.0                                                                                                                                                                                                                                               ​^ ​ 2.14r1 ​                                                                                                                                                                                                                                                         ^  2.13                                                                                                                                                                                                   ^ 
-^ Mac  OS  ^  10.13  |  soon  |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-polymake-3.2-macOS13-v3.dmg| bundle]] ​ |                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                         | +^ Mac  OS  ^  10.13  ​| ​ soon  ​| ​ soon  |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-polymake-3.2-macOS13-v3.dmg| bundle]] ​ |                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                         | 
-| :::      ^  10.12  |  soon  |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-polymake-3.2-macOS12-v3.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.1-MacOSX12-perl182-rc1.dmg| bundle]] ​ |                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                         | +| :::      ^  10.12  ​| ​ soon  ​| ​ soon  |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-polymake-3.2-macOS12-v3.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.1-MacOSX12-perl182-rc1.dmg| bundle]] ​ |                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                         | 
-| :::      ^  10.11  |  soon  |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-polymake-3.2-macOS11-v3.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.1-MacOSX11-perl182-rc1.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.0-MacOSX11-perl18-rc1.dmg| **preliminary** bundle for perl 5.18.2]] ​  ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release2.14r1-MacOS-ElCapitan-perl5.18.dmg| **experimental** bundle for perl 5.18.2]] ​ |  ?                                                                                                                                                                                                      | +| :::      ^  10.11  ​| ​ soon  ​| ​ soon  |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-polymake-3.2-macOS11-v3.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.1-MacOSX11-perl182-rc1.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.0-MacOSX11-perl18-rc1.dmg| **preliminary** bundle for perl 5.18.2]] ​  ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release2.14r1-MacOS-ElCapitan-perl5.18.dmg| **experimental** bundle for perl 5.18.2]] ​ |  ?                                                                                                                                                                                                      | 
-| :::      ^  10.10  |        |  ?                                                                                                                                                                                                               ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.1-MacOSX10-perl182-rc1.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.0-MacOSX10-perl182-rc1.dmg| **preliminary** bundle for perl 5.18.2]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release2.14r1-perl5.18.dmg|bundle for perl 5.18.2]] ​                                   |  **OK**((you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-perpetual-beta-20141206-MacOS10.10-perl5.18.dmg|bundle for perl 5.18.2]] ​ | +| :::      ^  10.10  ​|        ​|        |  ?                                                                                                                                                                                                               ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.1-MacOSX10-perl182-rc1.dmg| bundle]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.0-MacOSX10-perl182-rc1.dmg| **preliminary** bundle for perl 5.18.2]] ​ |  **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release2.14r1-perl5.18.dmg|bundle for perl 5.18.2]] ​                                   |  **OK**((you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-perpetual-beta-20141206-MacOS10.10-perl5.18.dmg|bundle for perl 5.18.2]] ​ | 
-| :::      ^  10.9   ​| ​       |                                                                                                                                                                                                                  |  ?                                                                                                                                                                                                                 ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.0-MacOSX9-perl162-rc1.dmg| **preliminary** bundle for perl 5.16.2]] ​  ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release2.14rc3-MacOS10.9-perl5.16.dmg|bundle for perl 5.16.2]] ​                        ​| ​ **OK**((you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release-2.13-MacOS10.9-perl5.16.dmg|bundle for perl 5.16.2]] ​             | +| :::      ^  10.9   |        ​|        |                                                                                                                                                                                                                  |  ?                                                                                                                                                                                                                 ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-v3.0-MacOSX9-perl162-rc1.dmg| **preliminary** bundle for perl 5.16.2]] ​  ​| ​ **OK**((you need a Macbook from Fall 2013 or later, you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release2.14rc3-MacOS10.9-perl5.16.dmg|bundle for perl 5.16.2]] ​                        ​| ​ **OK**((you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release-2.13-MacOS10.9-perl5.16.dmg|bundle for perl 5.16.2]] ​             | 
-| :::      ^  10.8   ​| ​       |                                                                                                                                                                                                                  |  ?                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                               ​| ​ **OK**((you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release-2.13-MacOS10.8-perl5.12.dmg|bundle for perl 5.12.4]] ​             | +| :::      ^  10.8   |        ​|        |                                                                                                                                                                                                                  |  ?                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                               ​| ​ **OK**((you need apple'​s command line tools, see installation instructions)),​ [[http://​www.polymake.org/​downloads/​polybundle-release-2.13-MacOS10.8-perl5.12.dmg|bundle for perl 5.12.4]] ​             | 
-| :::      ^  10.7   ​| ​       |                                                                                                                                                                                                                  |  ?                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                               ​| ​ ?                                                                                                                                                                                                      |+| :::      ^  10.7   |        ​|        |                                                                                                                                                                                                                  |  ?                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                 ​| ​ ?                                                                                                                                                                                                                                                               ​| ​ ?                                                                                                                                                                                                      |
  
  • download/versions.1550011094.txt.gz
  • Last modified: 2019/02/12 22:38
  • by benmuell